<div class="edit-todo">
  <h3>Edit Todo</h3>
  <form [formGroup]="editForm" (ngSubmit)="onSubmit()" *ngIf="todo">
    <div class="form-group">
      <label for="title">Title</label>
      <input type="text" name="title" formControlName="title" />
    </div>
    <div class="form-group">
      <label for="description">Description</label>
      <textarea
        name="description"
        formControlName="description"
        rows="20"
      ></textarea>
    </div>
    <div class="form-group-radio">
      <label>Status</label>
      <div id="form-group-radio-1">
        <label [htmlFor]="todo.todoId">Not Started</label>
        <input
          type="radio"
          name="status"
          [id]="todo.todoId"
          value="NOT_STARTED"
          formControlName="status"
          [checked]="todo.status === 'NOT_STARTED'"
        />
      </div>
      <div id="form-group-radio-2">
        <label [htmlFor]="todo.todoId">In Progress</label>
        <input
          type="radio"
          name="status"
          [id]="todo.todoId"
          value="IN_PROGRESS"
          formControlName="status"
          [checked]="todo.status === 'IN_PROGRESS'"
        />
      </div>
      <div id="form-group-radio-3">
        <label [htmlFor]="todo.todoId">Complete</label>
        <input
          type="radio"
          name="status"
          [id]="todo.todoId"
          value="COMPLETE"
          formControlName="status"
          [checked]="todo.status === 'COMPLETE'"
        />
      </div>
    </div>
    <div
      class="form-group"
      *ngIf="
        todo.isComplete ||
        (!todo.isComplete && editForm.value['status'] === 'COMPLETE')
      "
    >
      <label>Completed On:</label>
      <input
        type="date"
        name="completedDateTime"
        formControlName="completedDateTime"
      />
    </div>
    <div class="button-group">
      <button class="button-cancel" type="button" (click)="cancelTodoEdit()">
        Cancel
      </button>
      <button class="button-submit" type="submit">Submit</button>
    </div>
  </form>
</div>
